# Taxes

Umbraco Commerce offers two different tax calculation method configurations for calculating an order's tax amounts.

### [Fixed Tax Rates](/umbraco-commerce/reference/taxes/fixed-tax-rates.md)

This option allows you to define a single fixed tax rate to apply for all products of the same type shipped to the same country. This option is useful for countries that have a fixed tax rate (the norm in EU countries).

### [Calculated Tax Rates](/umbraco-commerce/reference/taxes/calculated-tax-rates.md)

This option allows you to dynamically calculate the tax obligations of an order by using third-party calculation platforms. This complex option is useful for countries with different tax rates for different product types or regions within the country (the norm in the US).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-commerce/reference/taxes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
